<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<root>
  <item name="com.intellij.codeInsight.hints.presentation.ContainerInlayPresentation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.RoundCornersInsetValueProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.248&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.ScaleAwarePresentationFactory">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.DynamicInsetPresentation com.intellij.codeInsight.hints.presentation.InsetValueProvider getValueProvider()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.ScaledIconWithCustomFactorPresentation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.ScaleAwareIconPresentation.IconParameters float component2()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.ScaleAwareIconPresentation.IconParameters float component1()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.StateDependantValue TData getValue(java.lang.Object, kotlin.reflect.KProperty&lt;?&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.OnClickPresentation OnClickPresentation(com.intellij.codeInsight.hints.presentation.InlayPresentation, com.intellij.codeInsight.hints.InlayPresentationFactory.ClickListener)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.ScaleAwareIconPresentation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.ScaledInsetPresentation ScaledInsetPresentation(com.intellij.codeInsight.hints.presentation.InlayPresentation, int, int, int, int, com.intellij.openapi.editor.Editor)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.InlayTextMetricsStorage InlayTextMetricsStorage(com.intellij.openapi.editor.Editor)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.PresentationFactory com.intellij.codeInsight.hints.presentation.InlayPresentation highlighted(java.lang.String, boolean, com.intellij.openapi.fileTypes.SyntaxHighlighter)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.InlayButtonPresentationFactory.InlayButtonPresentationBuilder com.intellij.codeInsight.hints.presentation.InlayButtonPresentationFactory.InlayButtonPresentationBuilder withTooltip(java.lang.String, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.InputHandler java.awt.Point translatePoint(java.awt.Point)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.ScaleAwareIconPresentation.IconParameters com.intellij.codeInsight.hints.presentation.ScaleAwareIconPresentation.IconParameters copy(float, float)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.InputHandler void mouseReleased(java.awt.event.MouseEvent, java.awt.Point)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.PresentationFactory com.intellij.codeInsight.hints.presentation.InlayPresentation referenceOnHover(com.intellij.codeInsight.hints.presentation.InlayPresentation, com.intellij.codeInsight.hints.InlayPresentationFactory.ClickListener)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.InlayTextMetrics boolean isActual(float, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.ScaleAwarePresentationFactoryKt int scaleByFont(int, float)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.DynamicDelegatePresentation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.PresentationFactory com.intellij.codeInsight.hints.presentation.InlayPresentation withCursorOnHoverWhenControlDown(com.intellij.codeInsight.hints.presentation.InlayPresentation, java.awt.Cursor)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.ScaledIconPresentation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.InputHandler void mousePressed(java.awt.event.MouseEvent, java.awt.Point)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.TextInsetValueProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.248&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.PresentationFactory com.intellij.codeInsight.hints.presentation.InlayPresentation textSpacePlaceholder(int, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.MouseButton kotlin.enums.EnumEntries&lt;com.intellij.codeInsight.hints.presentation.MouseButton&gt; getEntries()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.TextPlaceholderPresentation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.PresentationFactory com.intellij.codeInsight.hints.presentation.InsetPresentation inset(com.intellij.codeInsight.hints.presentation.InlayPresentation, int, int, int, int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.InlayTextMetricsStamp float component1()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.ScaledIconPresentation double getScaleFactor()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.ChangeOnHoverPresentation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.InlayTextMetricsStamp float component3()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.PresentationFactory com.intellij.ui.LightweightHint showTooltip(java.awt.event.MouseEvent, java.lang.String, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.DynamicDelegatePresentation.DelegateListener DelegateListener()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.InlayTextMetricsStamp">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.ScaledDelegatedPresentation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.InlayTextMetricsStamp java.lang.String component2()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.InlayPresentation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.MenuOnClickPresentation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.InlayTextMetrics java.awt.FontMetrics getFontMetrics()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.ScaledInsetPresentation com.intellij.codeInsight.hints.presentation.InsetPresentation getDelegate()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.PresentationFactory com.intellij.codeInsight.hints.presentation.InlayPresentation roundWithBackgroundAndSmallInset(com.intellij.codeInsight.hints.presentation.InlayPresentation)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.InsetPresentation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.RootInlayPresentation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.PillWithBackgroundPresentation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.248&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.SpacePresentation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.ScaleAwareIconPresentation.IconParameters IconParameters(float, float)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.StateDependantValueBuilder StateDependantValueBuilder(kotlin.jvm.functions.Function1&lt;? super TState,? extends TData&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.BiStatePresentation void setSecond()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.StatefulPresentation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.OnHoverPresentation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.AttributesTransformerPresentation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.InlayTextMetricsStorage com.intellij.openapi.editor.Editor getEditor()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.TextInlayPresentation boolean isSmall()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.InlayTextMetricsStorage com.intellij.codeInsight.hints.presentation.InlayTextMetricsStamp getCurrentStamp()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.InlayTextMetrics InlayTextMetrics(com.intellij.openapi.editor.Editor, int, int, java.awt.FontMetrics, int, float)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.ScaledContainerPresentation ScaledContainerPresentation(com.intellij.codeInsight.hints.presentation.InlayPresentation, com.intellij.openapi.editor.Editor, com.intellij.codeInsight.hints.InlayPresentationFactory.Padding, com.intellij.codeInsight.hints.InlayPresentationFactory.RoundedCorners, java.awt.Color, float)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.CenteredInsetValueProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.248&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.RoundWithBackgroundPresentation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.InlayTextMetrics int getFontType()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.InlayTextMetrics.Companion com.intellij.codeInsight.hints.presentation.InlayTextMetrics create(com.intellij.openapi.editor.Editor, float, int, java.awt.font.FontRenderContext, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.PresentationRenderer">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.InlayTextMetrics float getIdeScale()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.StatefulPresentation.DelegateListener DelegateListener()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.RecursivelyUpdatingRootPresentation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.ScaleAwareIconPresentation.IconParameters float getScale()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.PresentationFactory com.intellij.codeInsight.hints.presentation.InlayPresentation opaqueBorderedRoundWithBackgroundAndSmallInset(com.intellij.codeInsight.hints.presentation.InlayPresentation, java.awt.Color)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.PresentationFactory com.intellij.codeInsight.hints.presentation.InlayPresentation scaledIcon(javax.swing.Icon, float)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.RoundWithBackgroundBorderedPresentation int getBorderWidth()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.248&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.VerticalListInlayPresentation void calcDimensions()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.InlayTextMetricsKt java.awt.font.FontRenderContext getFontRenderContext(javax.swing.JComponent)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.WithCursorOnHoverPresentation WithCursorOnHoverPresentation(com.intellij.codeInsight.hints.presentation.InlayPresentation, java.awt.Cursor, com.intellij.openapi.editor.Editor, kotlin.jvm.functions.Function1&lt;? super java.awt.event.MouseEvent,java.lang.Boolean&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.PresentationFactory com.intellij.ui.LightweightHint showTooltip(java.awt.event.MouseEvent, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.SequencePresentation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.MouseHandlingPresentation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.RoundWithBackgroundBorderedPresentation RoundWithBackgroundBorderedPresentation(com.intellij.codeInsight.hints.presentation.RoundWithBackgroundPresentation, java.awt.Color, int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.248&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.ScaledContainerPresentation com.intellij.codeInsight.hints.presentation.ContainerInlayPresentation getDelegate()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.PresentationFactory PresentationFactory(com.intellij.openapi.editor.Editor)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.PresentationFactory com.intellij.codeInsight.hints.presentation.InlayPresentation withTooltip(java.lang.String, com.intellij.codeInsight.hints.presentation.InlayPresentation, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.25908.13&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.MouseButton">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.InlayTextMetrics int getSpaceWidth()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.InlayTextMetricsStamp java.awt.font.FontRenderContext component4()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.InlayTextMetricsStorage">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.InlayButtonPresentationFactory">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.248&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.StaticDelegatePresentation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.WithCursorOnHoverPresentation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.MouseButtonKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.InlayTextMetrics.Companion com.intellij.codeInsight.hints.presentation.InlayTextMetrics create$intellij_platform_lang_impl(com.intellij.openapi.editor.Editor, float, int, java.awt.font.FontRenderContext)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.InlayTextMetrics int getLineHeight()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.PresentationFactory">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.InlayTextMetricsStamp com.intellij.codeInsight.hints.presentation.InlayTextMetricsStamp copy$intellij_platform_lang_impl(float, java.lang.String, float, java.awt.font.FontRenderContext)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.TextInlayPresentation TextInlayPresentation(com.intellij.codeInsight.hints.presentation.InlayTextMetricsStorage, boolean, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.ScaledInsetPresentation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.PresentationFactory kotlin.Pair&lt;com.intellij.codeInsight.hints.presentation.InlayPresentation,com.intellij.codeInsight.hints.presentation.BiStatePresentation&gt; button(com.intellij.codeInsight.hints.presentation.InlayPresentation, com.intellij.codeInsight.hints.presentation.InlayPresentation, com.intellij.codeInsight.hints.InlayPresentationFactory.ClickListener, com.intellij.codeInsight.hints.InlayPresentationFactory.HoverListener, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.OnHoverPresentation OnHoverPresentation(com.intellij.codeInsight.hints.presentation.InlayPresentation, com.intellij.codeInsight.hints.InlayPresentationFactory.HoverListener)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.ScaledDelegatedPresentation com.intellij.codeInsight.hints.presentation.InlayPresentation getDelegate()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.StateDependantValue StateDependantValue(kotlin.jvm.functions.Function1&lt;? super TState,? extends TData&gt;, kotlin.jvm.functions.Function0&lt;? extends TState&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.LineCenteredInset LineCenteredInset(com.intellij.codeInsight.hints.presentation.InlayPresentation, com.intellij.openapi.editor.Editor)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.ChangeOnClickPresentation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.LineCenteredInset">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.VerticalListInlayPresentation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.OnClickPresentation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.PresentationFactory com.intellij.codeInsight.hints.presentation.InlayPresentation onHover(com.intellij.codeInsight.hints.presentation.InlayPresentation, com.intellij.codeInsight.hints.InlayPresentationFactory.HoverListener)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.StateDependantValueBuilder com.intellij.codeInsight.hints.presentation.StateDependantValue&lt;TData,TState&gt; withState(kotlin.jvm.functions.Function0&lt;? extends TState&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.PresentationFactory com.intellij.codeInsight.hints.presentation.InlayPresentation psiSingleReference(com.intellij.codeInsight.hints.presentation.InlayPresentation, boolean, kotlin.jvm.functions.Function0&lt;? extends com.intellij.psi.PsiElement&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.ScaledContainerPresentation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.RoundWithBackgroundBorderedPresentation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.PresentationFactory com.intellij.codeInsight.hints.presentation.InlayPresentation join(java.util.List&lt;? extends com.intellij.codeInsight.hints.presentation.InlayPresentation&gt;, kotlin.jvm.functions.Function0&lt;? extends com.intellij.codeInsight.hints.presentation.InlayPresentation&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.InsetValueProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.InputHandler">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.ScaleAwarePresentationFactoryKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.PresentationFactory com.intellij.codeInsight.hints.presentation.InlayPresentation roundWithBackgroundAndNoInset(com.intellij.codeInsight.hints.presentation.InlayPresentation)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.InlayButtonPresentationFactoryKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.23892.248&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.PresentationFactory com.intellij.codeInsight.hints.presentation.WithAttributesPresentation withReferenceAttributes(com.intellij.codeInsight.hints.presentation.InlayPresentation)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.ScaleAwareIconPresentation.IconParameters float getFont()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.BiStatePresentation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.DynamicInsetPresentation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.BasePresentation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.PresentationFactory com.intellij.codeInsight.hints.presentation.DynamicInsetPresentation offsetFromTopForSmallText(com.intellij.codeInsight.hints.presentation.InlayPresentation)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.InlayTextMetrics">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.BiStatePresentation void setFirst()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.MouseHandlingPresentation MouseHandlingPresentation(com.intellij.codeInsight.hints.presentation.InlayPresentation, com.intellij.codeInsight.hints.InlayPresentationFactory.ClickListener, com.intellij.codeInsight.hints.InlayPresentationFactory.HoverListener)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.IconPresentation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.PresentationUtilKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.ScaledDelegatedPresentation ScaledDelegatedPresentation()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.VerticalListInlayPresentation.InternalListener InternalListener()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.PresentationFactory com.intellij.codeInsight.hints.presentation.InlayPresentation smallTextWithoutBackground(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.PresentationListener">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.TextInlayPresentation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.PresentationFactory com.intellij.codeInsight.hints.presentation.InlayPresentation withCursorOnHover(com.intellij.codeInsight.hints.presentation.InlayPresentation, java.awt.Cursor)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.WithAttributesPresentation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.codeInsight.hints.presentation.InlayTextMetricsKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
</root>
